<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2007 (http://www.altova.com) by Sanjeev (Mikki Travel) -->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:complexType name="subProductType">
		<xs:annotation>
			<xs:documentation>Represents standard specification of a sub product</xs:documentation>
		</xs:annotation>
		<xs:sequence>
			<xs:element name="subProductCode" type="xs:int">
				<xs:annotation>
					<xs:documentation>Miki defined code to identify the sub product</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="subProductDescription">
				<xs:annotation>
					<xs:documentation>The description of the sub product</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:maxLength value="100"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="extendedDescription" minOccurs="0">
				<xs:annotation>
					<xs:documentation>A longer description of the sub product including more details</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:maxLength value="100"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:element name="citySearchResponse">
		<xs:annotation>
			<xs:documentation>Response to city search request</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="responseAuditInfo"/>
				<xs:element name="summaryInfo" minOccurs="0">
					<xs:annotation>
						<xs:documentation>Holds the total number of hotels processed of each status</xs:documentation>
					</xs:annotation>
					<xs:complexType>
						<xs:sequence>
							<xs:element name="totalAvailable" type="xs:int">
								<xs:annotation>
									<xs:documentation>Number of hotels returned with status "available"</xs:documentation>
								</xs:annotation>
							</xs:element>
							<xs:element name="totalOnRequest" type="xs:int">
								<xs:annotation>
									<xs:documentation>Number of hotels returned with status "on request"</xs:documentation>
								</xs:annotation>
							</xs:element>
							<xs:element name="totalNotAvailable" type="xs:int">
								<xs:annotation>
									<xs:documentation>Number of hotels returned with status "not available"</xs:documentation>
								</xs:annotation>
							</xs:element>
						</xs:sequence>
					</xs:complexType>
				</xs:element>
				<xs:element name="products" minOccurs="0">
					<xs:annotation>
						<xs:documentation>Products returned as a reuslt of search</xs:documentation>
					</xs:annotation>
					<xs:complexType>
						<xs:sequence maxOccurs="unbounded">
							<xs:annotation>
								<xs:documentation>Multiple products may be returned (in future versions)</xs:documentation>
							</xs:annotation>
							<xs:element name="product">
								<xs:annotation>
									<xs:documentation>All data per product</xs:documentation>
								</xs:annotation>
								<xs:complexType>
									<xs:sequence>
										<xs:element name="productCode">
											<xs:annotation>
												<xs:documentation>Unique reference to product</xs:documentation>
											</xs:annotation>
											<xs:complexType>
												<xs:simpleContent>
													<xs:extension base="xs:string">
														<xs:attribute name="cityNumber" type="xs:decimal" use="required"/>
														<xs:attribute name="supplierNumber" type="xs:decimal" use="required"/>
														<xs:attribute name="availabilitySequence" type="xs:string">
															<xs:annotation>
																<xs:documentation>Overall availability: 1=Avl, 2=On req, 7=On req, but no price, 8=Price but not avl, 9=No price, not avl</xs:documentation>
															</xs:annotation>
														</xs:attribute>
													</xs:extension>
												</xs:simpleContent>
											</xs:complexType>
										</xs:element>
										<xs:element name="prices" minOccurs="0">
											<xs:annotation>
												<xs:documentation>Prices based on a search specifying rooms type and quantity</xs:documentation>
											</xs:annotation>
											<xs:complexType>
												<xs:sequence maxOccurs="unbounded">
													<xs:element name="price">
														<xs:complexType>
															<xs:sequence>
																<xs:element name="bookingIdentifier" type="xs:string">
																	<xs:annotation>
																		<xs:documentation>Unique id to identify the booking</xs:documentation>
																	</xs:annotation>
																</xs:element>
																<xs:element name="priceStatus" type="xs:string">
																	<xs:annotation>
																		<xs:documentation>0=No price, 1=Price found, 2=Price not found for all nights/rooms</xs:documentation>
																	</xs:annotation>
																</xs:element>
																<xs:element name="totalPrice">
																	<xs:annotation>
																		<xs:documentation>Total price for the product requested</xs:documentation>
																	</xs:annotation>
																	<xs:complexType>
																		<xs:simpleContent>
																			<xs:extension base="xs:decimal">
																				<xs:attribute name="currencyCode" use="required">
																					<xs:annotation>
																						<xs:documentation>ISO currency code</xs:documentation>
																					</xs:annotation>
																					<xs:simpleType>
																						<xs:restriction base="xs:string">
																							<xs:enumeration value="GBP"/>
																							<xs:enumeration value="USD"/>
																							<xs:enumeration value="YEN"/>
																							<xs:enumeration value="EUR"/>
																						</xs:restriction>
																					</xs:simpleType>
																				</xs:attribute>
																				<xs:attribute name="groupDiscountAmount" type="xs:decimal">
																					<xs:annotation>
																						<xs:documentation>Amount of discount received when number of pax exceeds 9</xs:documentation>
																					</xs:annotation>
																				</xs:attribute>
																				<xs:attribute name="fairPricesIncluded" type="xs:boolean">
																					<xs:annotation>
																						<xs:documentation>One or more of the prices per room per night is a fair period price</xs:documentation>
																					</xs:annotation>
																				</xs:attribute>
																			</xs:extension>
																		</xs:simpleContent>
																	</xs:complexType>
																</xs:element>
																<xs:element name="availabilityStatus" type="xs:string">
																	<xs:annotation>
																		<xs:documentation>This value indicates the overall availability (considering all nights of the stay if hotel): 0=Not available, 1=Available, 2=On request, 9=Error</xs:documentation>
																	</xs:annotation>
																</xs:element>
																<xs:element name="subProducts">
																	<xs:annotation>
																		<xs:documentation>If prices are found for the service date, the detailed price per sub product is included</xs:documentation>
																	</xs:annotation>
																	<xs:complexType>
																		<xs:sequence maxOccurs="6">
																			<xs:annotation>
																				<xs:documentation>Multiple sub products are allowed on one booking</xs:documentation>
																			</xs:annotation>
																			<xs:element name="subProduct">
																				<xs:annotation>
																					<xs:documentation>Thsi element holds the price per sub product</xs:documentation>
																				</xs:annotation>
																				<xs:complexType>
																					<xs:sequence>
																						<xs:element name="subProductCode">
																							<xs:annotation>
																								<xs:documentation>Miki code representing room type or booking basis</xs:documentation>
																							</xs:annotation>
																							<xs:simpleType>
																								<xs:restriction base="xs:integer">
																									<xs:totalDigits value="5"/>
																								</xs:restriction>
																							</xs:simpleType>
																						</xs:element>
																						<xs:element name="subProductQuantity">
																							<xs:annotation>
																								<xs:documentation>Number of sub products</xs:documentation>
																							</xs:annotation>
																							<xs:simpleType>
																								<xs:restriction base="xs:integer">
																									<xs:totalDigits value="5"/>
																								</xs:restriction>
																							</xs:simpleType>
																						</xs:element>
																						<xs:element name="subProductPrice">
																							<xs:annotation>
																								<xs:documentation>Price per sub product </xs:documentation>
																							</xs:annotation>
																							<xs:complexType>
																								<xs:simpleContent>
																									<xs:extension base="xs:decimal">
																										<xs:attribute name="currencyCode" type="xs:string" use="required">
																											<xs:annotation>
																												<xs:documentation>ISO currency code</xs:documentation>
																											</xs:annotation>
																										</xs:attribute>
																										<xs:attribute name="priceType" type="xs:string">
																											<xs:annotation>
																												<xs:documentation>1=Nett, 2=Gross</xs:documentation>
																											</xs:annotation>
																										</xs:attribute>
																										<xs:attribute name="commissionRate" type="xs:decimal">
																											<xs:annotation>
																												<xs:documentation>Rate of commission paid to agent (applicable for gross rates only)</xs:documentation>
																											</xs:annotation>
																										</xs:attribute>
																										<xs:attribute name="markUpAllowed" type="xs:boolean">
																											<xs:annotation>
																												<xs:documentation>Is rate allowed to be marked up: 0=No, 1=Yes</xs:documentation>
																											</xs:annotation>
																										</xs:attribute>
																										<xs:attribute name="specialOffer" type="xs:boolean">
																											<xs:annotation>
																												<xs:documentation>Is rate a special offer: 0=No, 1=Yes</xs:documentation>
																											</xs:annotation>
																										</xs:attribute>
																										<xs:attribute name="specialOfferDiscount" type="xs:decimal">
																											<xs:annotation>
																												<xs:documentation>Value of special offer discount</xs:documentation>
																											</xs:annotation>
																										</xs:attribute>
																										<xs:attribute name="fairPrice" type="xs:boolean">
																											<xs:annotation>
																												<xs:documentation>The price is a fair period price</xs:documentation>
																											</xs:annotation>
																										</xs:attribute>
																										<xs:attribute name="priceChangeDate" type="xs:date">
																											<xs:annotation>
																												<xs:documentation>The date the price was added/last updated</xs:documentation>
																											</xs:annotation>
																										</xs:attribute>
																									</xs:extension>
																								</xs:simpleContent>
																							</xs:complexType>
																						</xs:element>
																						<xs:element name="dates" minOccurs="0">
																							<xs:annotation>
																								<xs:documentation>This element holds the price breakdown</xs:documentation>
																							</xs:annotation>
																							<xs:complexType>
																								<xs:sequence maxOccurs="unbounded">
																									<xs:annotation>
																										<xs:documentation>Multiple dates are possible (if a hotel product and more than 1 night)</xs:documentation>
																									</xs:annotation>
																									<xs:element name="date">
																										<xs:annotation>
																											<xs:documentation>This element holds the price breakdown per service date</xs:documentation>
																										</xs:annotation>
																										<xs:complexType>
																											<xs:sequence>
																												<xs:element name="serviceDate" type="xs:date">
																													<xs:annotation>
																														<xs:documentation>Date the service is operated, or the stay date for hotel products</xs:documentation>
																													</xs:annotation>
																												</xs:element>
																												<xs:element name="dailyAvailabilityStatus" type="xs:string">
																													<xs:annotation>
																														<xs:documentation>This value indicates the availability for the service date: 0=Not available, 1=Available, 2=On request, 9=Error</xs:documentation>
																													</xs:annotation>
																												</xs:element>
																												<xs:element name="dailyPrice">
																													<xs:annotation>
																														<xs:documentation>Price per sub product </xs:documentation>
																													</xs:annotation>
																													<xs:complexType>
																														<xs:simpleContent>
																															<xs:extension base="xs:decimal">
																																<xs:attribute name="currencyCode" type="xs:string" use="required">
																																	<xs:annotation>
																																		<xs:documentation>ISO currency code</xs:documentation>
																																	</xs:annotation>
																																</xs:attribute>
																																<xs:attribute name="priceType" type="xs:string">
																																	<xs:annotation>
																																		<xs:documentation>1=Nett, 2=Gross</xs:documentation>
																																	</xs:annotation>
																																</xs:attribute>
																																<xs:attribute name="commissionRate" type="xs:decimal">
																																	<xs:annotation>
																																		<xs:documentation>Rate of commission paid to agent (applicable for gross rates only)</xs:documentation>
																																	</xs:annotation>
																																</xs:attribute>
																																<xs:attribute name="markUpAllowed" type="xs:boolean">
																																	<xs:annotation>
																																		<xs:documentation>Is rate allowed to be marked up: 0=No, 1=Yes</xs:documentation>
																																	</xs:annotation>
																																</xs:attribute>
																																<xs:attribute name="specialOffer" type="xs:boolean">
																																	<xs:annotation>
																																		<xs:documentation>Is rate a special offer: 0=No, 1=Yes</xs:documentation>
																																	</xs:annotation>
																																</xs:attribute>
																																<xs:attribute name="specialOfferDiscount" type="xs:decimal">
																																	<xs:annotation>
																																		<xs:documentation>Value of special offer discount</xs:documentation>
																																	</xs:annotation>
																																</xs:attribute>
																																<xs:attribute name="fairPrice" type="xs:boolean">
																																	<xs:annotation>
																																		<xs:documentation>The price is a fair period price</xs:documentation>
																																	</xs:annotation>
																																</xs:attribute>
																																<xs:attribute name="priceChangeDate" type="xs:date">
																																	<xs:annotation>
																																		<xs:documentation>The date the price was added/last updated</xs:documentation>
																																	</xs:annotation>
																																</xs:attribute>
																															</xs:extension>
																														</xs:simpleContent>
																													</xs:complexType>
																												</xs:element>
																												<xs:element name="hotelBreakdown" minOccurs="0">
																													<xs:annotation>
																														<xs:documentation>Breakdown of product availability per service date (for hotel products only) </xs:documentation>
																													</xs:annotation>
																													<xs:complexType>
																														<xs:sequence>
																															<xs:annotation>
																																<xs:documentation>Multiple night bookings allowed</xs:documentation>
																															</xs:annotation>
																															<xs:element name="roomsAvailable" type="xs:int">
																																<xs:annotation>
																																	<xs:documentation>Number of rooms available to be booked (1-3)</xs:documentation>
																																</xs:annotation>
																															</xs:element>
																															<xs:element name="minimumNights" type="xs:integer" minOccurs="0">
																																<xs:annotation>
																																	<xs:documentation>The minimum nights that apply</xs:documentation>
																																</xs:annotation>
																															</xs:element>
																															<xs:element name="satMinimumNights" type="xs:integer" minOccurs="0">
																																<xs:annotation>
																																	<xs:documentation>The minimum nights that apply if a Saturday night stay is included</xs:documentation>
																																</xs:annotation>
																															</xs:element>
																															<xs:element name="roomRestrictions" minOccurs="0">
																																<xs:annotation>
																																	<xs:documentation>If room restrictions exist, we can show specifically which room types are not available</xs:documentation>
																																</xs:annotation>
																																<xs:complexType>
																																	<xs:sequence>
																																		<xs:element name="twin" type="xs:boolean">
																																			<xs:annotation>
																																				<xs:documentation>0=Not available, 1=Available</xs:documentation>
																																			</xs:annotation>
																																		</xs:element>
																																		<xs:element name="triple" type="xs:boolean">
																																			<xs:annotation>
																																				<xs:documentation>0=Not available, 1=Available</xs:documentation>
																																			</xs:annotation>
																																		</xs:element>
																																		<xs:element name="single" type="xs:boolean">
																																			<xs:annotation>
																																				<xs:documentation>0=Not available, 1=Available</xs:documentation>
																																			</xs:annotation>
																																		</xs:element>
																																		<xs:element name="tsu" type="xs:boolean">
																																			<xs:annotation>
																																				<xs:documentation>0=Not available, 1=Available</xs:documentation>
																																			</xs:annotation>
																																		</xs:element>
																																	</xs:sequence>
																																</xs:complexType>
																															</xs:element>
																															<xs:element name="internalMikiText1" type="xs:string" minOccurs="0">
																																<xs:annotation>
																																	<xs:documentation>FOR MIKI USE ONLY</xs:documentation>
																																</xs:annotation>
																															</xs:element>
																															<xs:element name="internalMikiText2" type="xs:string" minOccurs="0">
																																<xs:annotation>
																																	<xs:documentation>FOR MIKI USE ONLY</xs:documentation>
																																</xs:annotation>
																															</xs:element>
																															<xs:element name="internalMikiText3" type="xs:string" minOccurs="0">
																																<xs:annotation>
																																	<xs:documentation>FOR MIKI USE ONLY</xs:documentation>
																																</xs:annotation>
																															</xs:element>
																														</xs:sequence>
																													</xs:complexType>
																												</xs:element>
																												<xs:element name="cancellationPolicy" minOccurs="0">
																													<xs:annotation>
																														<xs:documentation>Cancellation policy details</xs:documentation>
																													</xs:annotation>
																													<xs:complexType>
																														<xs:sequence>
																															<xs:element name="cancellationPolicyDays" type="xs:decimal">
																																<xs:annotation>
																																	<xs:documentation>Cancellation policy days</xs:documentation>
																																</xs:annotation>
																															</xs:element>
																															<xs:element name="cancellationPolicyCode" type="xs:string">
																																<xs:annotation>
																																	<xs:documentation>Cancellation policy code</xs:documentation>
																																</xs:annotation>
																															</xs:element>
																															<xs:element name="cancellationPolicyDescription" type="xs:string">
																																<xs:annotation>
																																	<xs:documentation>Cancellation policy description</xs:documentation>
																																</xs:annotation>
																															</xs:element>
																															<xs:element name="cancellationPolicyText" type="xs:string">
																																<xs:annotation>
																																	<xs:documentation>Cancellation policy text</xs:documentation>
																																</xs:annotation>
																															</xs:element>
																														</xs:sequence>
																													</xs:complexType>
																												</xs:element>
																											</xs:sequence>
																										</xs:complexType>
																									</xs:element>
																								</xs:sequence>
																							</xs:complexType>
																						</xs:element>
																						<xs:element name="detailPriceStatus" type="xs:boolean">
																							<xs:annotation>
																								<xs:documentation>0=No price, 1=Price found</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																						<xs:element name="roomTypeCode" type="xs:string" minOccurs="0">
																							<xs:annotation>
																								<xs:documentation>Room type code</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																						<xs:element name="ratePlanCode" type="xs:string" minOccurs="0">
																							<xs:annotation>
																								<xs:documentation>Rate plan code</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																					</xs:sequence>
																				</xs:complexType>
																			</xs:element>
																		</xs:sequence>
																	</xs:complexType>
																</xs:element>
																<xs:element name="cancellationPolicyAllNights" minOccurs="0">
																	<xs:annotation>
																		<xs:documentation>Cancellation policy if the hotel is booked</xs:documentation>
																	</xs:annotation>
																	<xs:complexType>
																		<xs:sequence>
																			<xs:element name="daysForAllNights" type="xs:decimal" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>Cancellation policy days</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="codeForAllNights" type="xs:string" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>Cancellation policy code</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="descriptionForAllNights" type="xs:string" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>Cancellation policy description</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="textForAllNights" type="xs:string" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>Cancellation policy text</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																		</xs:sequence>
																	</xs:complexType>
																</xs:element>
																<xs:element name="breakfasts" minOccurs="0">
																	<xs:annotation>
																		<xs:documentation>Breakdown of breakfast included per service date</xs:documentation>
																	</xs:annotation>
																	<xs:complexType>
																		<xs:sequence maxOccurs="unbounded">
																			<xs:annotation>
																				<xs:documentation>Multiple night bookings allowed</xs:documentation>
																			</xs:annotation>
																			<xs:element name="breakfast">
																				<xs:annotation>
																					<xs:documentation>Breakfast details</xs:documentation>
																				</xs:annotation>
																				<xs:complexType>
																					<xs:sequence>
																						<xs:element name="serviceDate" type="xs:date">
																							<xs:annotation>
																								<xs:documentation>Date the service is operated, or the stay date for hotel products</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																						<xs:element name="breakfastDescription" type="xs:string">
																							<xs:annotation>
																								<xs:documentation>Description of breakfast included with the stay on the service date</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																					</xs:sequence>
																				</xs:complexType>
																			</xs:element>
																			<xs:element name="descriptionForAllNights" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>Value of breakfast description only used of the same value for all nights of stay</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																		</xs:sequence>
																	</xs:complexType>
																</xs:element>
															</xs:sequence>
														</xs:complexType>
													</xs:element>
												</xs:sequence>
											</xs:complexType>
										</xs:element>
										<xs:element name="roomBasisResult" minOccurs="0">
											<xs:annotation>
												<xs:documentation>Prices based on a search based on room basis</xs:documentation>
											</xs:annotation>
											<xs:complexType>
												<xs:sequence>
													<xs:element name="priceStatus" type="xs:string">
														<xs:annotation>
															<xs:documentation>0=No price, 1=Prices found, 2=Prices not found for all nights</xs:documentation>
														</xs:annotation>
													</xs:element>
													<xs:element name="dates" minOccurs="0">
														<xs:annotation>
															<xs:documentation>This element holds the price breakdown</xs:documentation>
														</xs:annotation>
														<xs:complexType>
															<xs:sequence maxOccurs="unbounded">
																<xs:annotation>
																	<xs:documentation>Multiple dates are possible (if a hotel product and more than 1 night)</xs:documentation>
																</xs:annotation>
																<xs:element name="date">
																	<xs:annotation>
																		<xs:documentation>This element holds the price breakdown per service date</xs:documentation>
																	</xs:annotation>
																	<xs:complexType>
																		<xs:sequence>
																			<xs:element name="serviceDate" type="xs:date">
																				<xs:annotation>
																					<xs:documentation>Date the service is operated, or the stay date for hotel products</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="roomNumbers">
																				<xs:complexType>
																					<xs:sequence>
																						<xs:element name="roomNumber" type="xs:int">
																							<xs:annotation>
																								<xs:documentation>Used to split multiple room basis requests</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																						<xs:element name="subProducts">
																							<xs:annotation>
																								<xs:documentation>If prices are found for the service date, the detailed price per sub product is included</xs:documentation>
																							</xs:annotation>
																							<xs:complexType>
																								<xs:sequence maxOccurs="unbounded">
																									<xs:annotation>
																										<xs:documentation>Multiple sub products are allowed on one booking</xs:documentation>
																									</xs:annotation>
																									<xs:element name="subProduct">
																										<xs:annotation>
																											<xs:documentation>This element holds the price per sub product</xs:documentation>
																										</xs:annotation>
																										<xs:complexType>
																											<xs:sequence>
																												<xs:element name="subProductCode">
																													<xs:annotation>
																														<xs:documentation>Miki code representing room type or booking basis</xs:documentation>
																													</xs:annotation>
																													<xs:simpleType>
																														<xs:restriction base="xs:integer">
																															<xs:totalDigits value="5"/>
																														</xs:restriction>
																													</xs:simpleType>
																												</xs:element>
																												<xs:element name="subProductDescription" type="xs:string">
																													<xs:annotation>
																														<xs:documentation>Description of room</xs:documentation>
																													</xs:annotation>
																												</xs:element>
																												<xs:element name="subProductDescription" type="xs:string" minOccurs="0">
																													<xs:annotation>
																														<xs:documentation>Detailed description of room</xs:documentation>
																													</xs:annotation>
																												</xs:element>
																												<xs:element name="roomDetails">
																													<xs:annotation>
																														<xs:documentation>The details explaining the capacity of the room</xs:documentation>
																													</xs:annotation>
																													<xs:complexType>
																														<xs:sequence>
																															<xs:element name="numberOfAdults">
																																<xs:annotation>
																																	<xs:documentation>Maximum number of adults allowed in the room</xs:documentation>
																																</xs:annotation>
																															</xs:element>
																															<xs:element name="numberOfChildren">
																																<xs:annotation>
																																	<xs:documentation>Maximum number of children allowed in the room</xs:documentation>
																																</xs:annotation>
																															</xs:element>
																															<xs:element name="numberOfBeds">
																																<xs:annotation>
																																	<xs:documentation>Number of beds in the room</xs:documentation>
																																</xs:annotation>
																															</xs:element>
																															<xs:element name="numberOfExtraBeds">
																																<xs:annotation>
																																	<xs:documentation>Number of extra beds in the room</xs:documentation>
																																</xs:annotation>
																															</xs:element>
																															<xs:element name="numberOfCots">
																																<xs:annotation>
																																	<xs:documentation>Number of cots in the room</xs:documentation>
																																</xs:annotation>
																															</xs:element>
																														</xs:sequence>
																													</xs:complexType>
																												</xs:element>
																												<xs:element name="subProductPrice">
																													<xs:annotation>
																														<xs:documentation>Price per sub product </xs:documentation>
																													</xs:annotation>
																													<xs:complexType>
																														<xs:simpleContent>
																															<xs:extension base="xs:decimal">
																																<xs:attribute name="currencyCode" type="xs:string" use="required">
																																	<xs:annotation>
																																		<xs:documentation>ISO currency code</xs:documentation>
																																	</xs:annotation>
																																</xs:attribute>
																																<xs:attribute name="priceType" type="xs:string">
																																	<xs:annotation>
																																		<xs:documentation>1=Nett, 2=Gross</xs:documentation>
																																	</xs:annotation>
																																</xs:attribute>
																																<xs:attribute name="commissionRate" type="xs:decimal">
																																	<xs:annotation>
																																		<xs:documentation>Rate of commission paid to agent (applicable for gross rates only)</xs:documentation>
																																	</xs:annotation>
																																</xs:attribute>
																																<xs:attribute name="markUpAllowed" type="xs:boolean">
																																	<xs:annotation>
																																		<xs:documentation>Is rate allowed to be marked up: 0=No, 1=Yes</xs:documentation>
																																	</xs:annotation>
																																</xs:attribute>
																																<xs:attribute name="specialOffer" type="xs:boolean">
																																	<xs:annotation>
																																		<xs:documentation>Is rate a special offer: 0=No, 1=Yes</xs:documentation>
																																	</xs:annotation>
																																</xs:attribute>
																																<xs:attribute name="specialOfferDiscount" type="xs:decimal">
																																	<xs:annotation>
																																		<xs:documentation>Value of special offer discount</xs:documentation>
																																	</xs:annotation>
																																</xs:attribute>
																															</xs:extension>
																														</xs:simpleContent>
																													</xs:complexType>
																												</xs:element>
																											</xs:sequence>
																										</xs:complexType>
																									</xs:element>
																								</xs:sequence>
																							</xs:complexType>
																						</xs:element>
																					</xs:sequence>
																				</xs:complexType>
																			</xs:element>
																		</xs:sequence>
																	</xs:complexType>
																</xs:element>
															</xs:sequence>
														</xs:complexType>
													</xs:element>
												</xs:sequence>
											</xs:complexType>
										</xs:element>
										<xs:element name="productInfo" minOccurs="0">
											<xs:annotation>
												<xs:documentation>Returns information about the product (different levels of detail can be selected)</xs:documentation>
											</xs:annotation>
											<xs:complexType>
												<xs:choice>
													<xs:annotation>
														<xs:documentation>Only one of the following elements will be returned</xs:documentation>
													</xs:annotation>
													<xs:element name="summaryInfo">
														<xs:annotation>
															<xs:documentation>Summary information</xs:documentation>
														</xs:annotation>
														<xs:complexType>
															<xs:sequence>
																<xs:element name="productName" type="xs:string">
																	<xs:annotation>
																		<xs:documentation>The name of the product</xs:documentation>
																	</xs:annotation>
																</xs:element>
																<xs:element name="category">
																	<xs:annotation>
																		<xs:documentation>The category that describes the quality of the hotel</xs:documentation>
																	</xs:annotation>
																	<xs:simpleType>
																		<xs:restriction base="xs:string">
																			<xs:maxLength value="50"/>
																		</xs:restriction>
																	</xs:simpleType>
																</xs:element>
																<xs:element name="starRating" minOccurs="0">
																	<xs:annotation>
																		<xs:documentation>The star rating of the hotel</xs:documentation>
																	</xs:annotation>
																	<xs:simpleType>
																		<xs:restriction base="xs:string">
																			<xs:maxLength value="10"/>
																		</xs:restriction>
																	</xs:simpleType>
																</xs:element>
																<xs:element name="productImage" minOccurs="0">
																	<xs:annotation>
																		<xs:documentation>Thumbnail image of the product</xs:documentation>
																	</xs:annotation>
																</xs:element>
																<xs:element name="cityName" minOccurs="0">
																	<xs:annotation>
																		<xs:documentation>Name of the city where hotel is located</xs:documentation>
																	</xs:annotation>
																</xs:element>
															</xs:sequence>
														</xs:complexType>
													</xs:element>
													<xs:element name="detailInfo">
														<xs:annotation>
															<xs:documentation>Detail information</xs:documentation>
														</xs:annotation>
														<xs:complexType>
															<xs:sequence>
																<xs:element name="productDescription">
																	<xs:annotation>
																		<xs:documentation>The description of the product includes the product name and text which breifly describes the product</xs:documentation>
																	</xs:annotation>
																	<xs:complexType>
																		<xs:sequence>
																			<xs:element name="productName">
																				<xs:annotation>
																					<xs:documentation>The name of the product</xs:documentation>
																				</xs:annotation>
																				<xs:simpleType>
																					<xs:restriction base="xs:string">
																						<xs:maxLength value="50"/>
																					</xs:restriction>
																				</xs:simpleType>
																			</xs:element>
																			<xs:element name="productSummaryText" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>A brief description of the product</xs:documentation>
																				</xs:annotation>
																				<xs:simpleType>
																					<xs:restriction base="xs:string">
																						<xs:maxLength value="500"/>
																					</xs:restriction>
																				</xs:simpleType>
																			</xs:element>
																			<xs:element name="productDetailText" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>A text description of the product</xs:documentation>
																				</xs:annotation>
																				<xs:simpleType>
																					<xs:restriction base="xs:string">
																						<xs:maxLength value="500"/>
																					</xs:restriction>
																				</xs:simpleType>
																			</xs:element>
																			<xs:element name="productImage" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>Thumbnail image of the product</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="cityName" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>Name of the city where hotel is located</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																		</xs:sequence>
																	</xs:complexType>
																</xs:element>
																<xs:element name="category">
																	<xs:annotation>
																		<xs:documentation>The category that describes the quality of the hotel</xs:documentation>
																	</xs:annotation>
																	<xs:simpleType>
																		<xs:restriction base="xs:string">
																			<xs:maxLength value="50"/>
																		</xs:restriction>
																	</xs:simpleType>
																</xs:element>
																<xs:element name="starRating" minOccurs="0">
																	<xs:annotation>
																		<xs:documentation>The star rating of the hotel</xs:documentation>
																	</xs:annotation>
																	<xs:simpleType>
																		<xs:restriction base="xs:string">
																			<xs:maxLength value="10"/>
																		</xs:restriction>
																	</xs:simpleType>
																</xs:element>
																<xs:element name="location" minOccurs="0">
																	<xs:annotation>
																		<xs:documentation>The general location of the hotel in the city</xs:documentation>
																	</xs:annotation>
																	<xs:simpleType>
																		<xs:restriction base="xs:string">
																			<xs:maxLength value="50"/>
																		</xs:restriction>
																	</xs:simpleType>
																</xs:element>
																<xs:element name="hotelFacilities" minOccurs="0">
																	<xs:annotation>
																		<xs:documentation>Information describing the hotel facilities</xs:documentation>
																	</xs:annotation>
																	<xs:complexType>
																		<xs:sequence>
																			<xs:element name="elevators" type="xs:boolean">
																				<xs:annotation>
																					<xs:documentation>Indicates if the hotel has elevator(s)</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="concierge" type="xs:boolean">
																				<xs:annotation>
																					<xs:documentation>Indicates if the hotel has a concierge</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="safeDeposit" type="xs:boolean">
																				<xs:annotation>
																					<xs:documentation>Indicates if the hotel has safe deposit box</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="swimmingPool" type="xs:boolean">
																				<xs:annotation>
																					<xs:documentation>Indicates if the hotel has a swimming pool</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="sauna" type="xs:boolean">
																				<xs:annotation>
																					<xs:documentation>Indicates if the hotel has a sauna</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="roomService" type="xs:boolean">
																				<xs:annotation>
																					<xs:documentation>Indicates if the hotel offers room service</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="porterage" type="xs:boolean">
																				<xs:annotation>
																					<xs:documentation>Indicates if the hotel offers porterage</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="numberOfRooms" type="xs:int">
																				<xs:annotation>
																					<xs:documentation>Indicates the number of rooms in the hotel</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="nightclub" type="xs:boolean">
																				<xs:annotation>
																					<xs:documentation>Indicates if the hotel has a nightclub</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="coffeeShop" type="xs:boolean">
																				<xs:annotation>
																					<xs:documentation>Indicates if the hotel has a coffee shop</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="businessFacilities" type="xs:boolean">
																				<xs:annotation>
																					<xs:documentation>Indicates if the hotel includes business facilities</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="petsAllowed" type="xs:boolean">
																				<xs:annotation>
																					<xs:documentation>Indicates if the hotel allows pets</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																		</xs:sequence>
																	</xs:complexType>
																</xs:element>
																<xs:element name="hotelRoomFacilities" minOccurs="0">
																	<xs:annotation>
																		<xs:documentation>Information describing the hotel room facilities</xs:documentation>
																	</xs:annotation>
																	<xs:complexType>
																		<xs:sequence>
																			<xs:element name="miniBar" type="xs:boolean">
																				<xs:annotation>
																					<xs:documentation>Indicates if the rooms have a minibar</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="hairDryer" type="xs:boolean">
																				<xs:annotation>
																					<xs:documentation>Indicates if the rooms have a hairdryer</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="trouserPress" type="xs:boolean">
																				<xs:annotation>
																					<xs:documentation>Indicates if the rooms have a trouser press</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="airConditioning" type="xs:boolean">
																				<xs:annotation>
																					<xs:documentation>Indicates if the rooms have air conditioning</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="television" type="xs:boolean">
																				<xs:annotation>
																					<xs:documentation>Indicates if the rooms have a television</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="video" type="xs:boolean">
																				<xs:annotation>
																					<xs:documentation>Indicates if the rooms have a video</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="radio" type="xs:boolean">
																				<xs:annotation>
																					<xs:documentation>Indicates if the rooms have a radio</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																		</xs:sequence>
																	</xs:complexType>
																</xs:element>
															</xs:sequence>
														</xs:complexType>
													</xs:element>
													<xs:element name="product">
														<xs:annotation>
															<xs:documentation>Full description of hotel (as per productInfoResponse)</xs:documentation>
														</xs:annotation>
														<xs:complexType>
															<xs:sequence>
																<xs:element name="productCode">
																	<xs:annotation>
																		<xs:documentation>The product code is the unique identifier used to book the product</xs:documentation>
																	</xs:annotation>
																	<xs:complexType>
																		<xs:simpleContent>
																			<xs:extension base="xs:string">
																				<xs:attribute name="countryCode" type="xs:string" use="required"/>
																				<xs:attribute name="cityNumber" type="xs:integer" use="required"/>
																				<xs:attribute name="supplierNumber" type="xs:integer" use="optional"/>
																				<xs:attribute name="typeOfProduct" type="xs:string" use="required"/>
																			</xs:extension>
																		</xs:simpleContent>
																	</xs:complexType>
																</xs:element>
																<xs:element name="productDescription">
																	<xs:annotation>
																		<xs:documentation>The description of the product includes the product name and text which breifly describes the product</xs:documentation>
																	</xs:annotation>
																	<xs:complexType>
																		<xs:sequence>
																			<xs:element name="productName">
																				<xs:annotation>
																					<xs:documentation>The name of the product</xs:documentation>
																				</xs:annotation>
																				<xs:simpleType>
																					<xs:restriction base="xs:string">
																						<xs:maxLength value="50"/>
																					</xs:restriction>
																				</xs:simpleType>
																			</xs:element>
																			<xs:element name="productSummaryText" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>A brief description of the product</xs:documentation>
																				</xs:annotation>
																				<xs:simpleType>
																					<xs:restriction base="xs:string">
																						<xs:maxLength value="500"/>
																					</xs:restriction>
																				</xs:simpleType>
																			</xs:element>
																			<xs:element name="productDetailText" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>A text description of the product</xs:documentation>
																				</xs:annotation>
																				<xs:simpleType>
																					<xs:restriction base="xs:string">
																						<xs:maxLength value="500"/>
																					</xs:restriction>
																				</xs:simpleType>
																			</xs:element>
																			<xs:element name="cityName" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>Name of the city where hotel is located</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																		</xs:sequence>
																	</xs:complexType>
																</xs:element>
																<xs:element name="hotelProductInfo">
																	<xs:annotation>
																		<xs:documentation>Full description of hotel (as per productInfoResponse)</xs:documentation>
																	</xs:annotation>
																	<xs:complexType>
																		<xs:sequence>
																			<xs:element name="contactInfo">
																				<xs:annotation>
																					<xs:documentation>Address and telephone numbers for the hotel</xs:documentation>
																				</xs:annotation>
																				<xs:complexType>
																					<xs:sequence>
																						<xs:element name="address">
																							<xs:annotation>
																								<xs:documentation>Address of the hotel</xs:documentation>
																							</xs:annotation>
																							<xs:complexType>
																								<xs:sequence>
																									<xs:element name="street1">
																										<xs:annotation>
																											<xs:documentation>First line of the address</xs:documentation>
																										</xs:annotation>
																										<xs:simpleType>
																											<xs:restriction base="xs:string">
																												<xs:maxLength value="30"/>
																											</xs:restriction>
																										</xs:simpleType>
																									</xs:element>
																									<xs:element name="street2" minOccurs="0">
																										<xs:annotation>
																											<xs:documentation>Second line of the address</xs:documentation>
																										</xs:annotation>
																										<xs:simpleType>
																											<xs:restriction base="xs:string">
																												<xs:maxLength value="30"/>
																											</xs:restriction>
																										</xs:simpleType>
																									</xs:element>
																									<xs:element name="street3" minOccurs="0">
																										<xs:annotation>
																											<xs:documentation>Thrid line of the address</xs:documentation>
																										</xs:annotation>
																										<xs:simpleType>
																											<xs:restriction base="xs:string">
																												<xs:maxLength value="30"/>
																											</xs:restriction>
																										</xs:simpleType>
																									</xs:element>
																									<xs:element name="city" minOccurs="0">
																										<xs:annotation>
																											<xs:documentation>The name of the city</xs:documentation>
																										</xs:annotation>
																										<xs:simpleType>
																											<xs:restriction base="xs:string">
																												<xs:maxLength value="30"/>
																											</xs:restriction>
																										</xs:simpleType>
																									</xs:element>
																									<xs:element name="zipCode" minOccurs="0">
																										<xs:annotation>
																											<xs:documentation>The postal/zip code</xs:documentation>
																										</xs:annotation>
																										<xs:simpleType>
																											<xs:restriction base="xs:string">
																												<xs:maxLength value="30"/>
																											</xs:restriction>
																										</xs:simpleType>
																									</xs:element>
																									<xs:element name="country">
																										<xs:annotation>
																											<xs:documentation>The name of the country</xs:documentation>
																										</xs:annotation>
																										<xs:simpleType>
																											<xs:restriction base="xs:string">
																												<xs:maxLength value="30"/>
																											</xs:restriction>
																										</xs:simpleType>
																									</xs:element>
																								</xs:sequence>
																							</xs:complexType>
																						</xs:element>
																						<xs:element name="telephoneNumber">
																							<xs:annotation>
																								<xs:documentation>Telephone number of the hotel</xs:documentation>
																							</xs:annotation>
																							<xs:simpleType>
																								<xs:restriction base="xs:string">
																									<xs:maxLength value="12"/>
																								</xs:restriction>
																							</xs:simpleType>
																						</xs:element>
																						<xs:element name="faxNumber" minOccurs="0">
																							<xs:annotation>
																								<xs:documentation>Fax number of the hotel</xs:documentation>
																							</xs:annotation>
																							<xs:simpleType>
																								<xs:restriction base="xs:string">
																									<xs:maxLength value="12"/>
																								</xs:restriction>
																							</xs:simpleType>
																						</xs:element>
																					</xs:sequence>
																				</xs:complexType>
																			</xs:element>
																			<xs:element name="hotelInfo">
																				<xs:annotation>
																					<xs:documentation>Information about the hotel</xs:documentation>
																				</xs:annotation>
																				<xs:complexType>
																					<xs:sequence>
																						<xs:element name="category">
																							<xs:annotation>
																								<xs:documentation>The category that describes the quality of the hotel</xs:documentation>
																							</xs:annotation>
																							<xs:simpleType>
																								<xs:restriction base="xs:string">
																									<xs:maxLength value="50"/>
																								</xs:restriction>
																							</xs:simpleType>
																						</xs:element>
																						<xs:element name="starRating" minOccurs="0">
																							<xs:annotation>
																								<xs:documentation>The star rating of the hotel</xs:documentation>
																							</xs:annotation>
																							<xs:simpleType>
																								<xs:restriction base="xs:string">
																									<xs:maxLength value="10"/>
																								</xs:restriction>
																							</xs:simpleType>
																						</xs:element>
																						<xs:element name="style">
																							<xs:annotation>
																								<xs:documentation>The style of the hotel - modern, historic, etc.</xs:documentation>
																							</xs:annotation>
																							<xs:simpleType>
																								<xs:restriction base="xs:string">
																									<xs:maxLength value="50"/>
																								</xs:restriction>
																							</xs:simpleType>
																						</xs:element>
																						<xs:element name="yearBuilt" minOccurs="0">
																							<xs:annotation>
																								<xs:documentation>The year the hotel was built </xs:documentation>
																							</xs:annotation>
																							<xs:simpleType>
																								<xs:restriction base="xs:string">
																									<xs:maxLength value="4"/>
																								</xs:restriction>
																							</xs:simpleType>
																						</xs:element>
																						<xs:element name="location" minOccurs="0">
																							<xs:annotation>
																								<xs:documentation>The general location of the hotel in the city</xs:documentation>
																							</xs:annotation>
																							<xs:simpleType>
																								<xs:restriction base="xs:string">
																									<xs:maxLength value="50"/>
																								</xs:restriction>
																							</xs:simpleType>
																						</xs:element>
																						<xs:element name="restaurantCount" type="xs:int" minOccurs="0">
																							<xs:annotation>
																								<xs:documentation>The number of restaurants in the hotel</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																					</xs:sequence>
																				</xs:complexType>
																			</xs:element>
																			<xs:element name="hotelLocationInfo" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>Information about the location of the hotel</xs:documentation>
																				</xs:annotation>
																				<xs:complexType>
																					<xs:sequence maxOccurs="unbounded">
																						<xs:annotation>
																							<xs:documentation>Multiple entries possible</xs:documentation>
																						</xs:annotation>
																						<xs:element name="locationReference">
																							<xs:annotation>
																								<xs:documentation>Used to hold information describing the location</xs:documentation>
																							</xs:annotation>
																							<xs:complexType>
																								<xs:sequence>
																									<xs:element name="placeName">
																										<xs:annotation>
																											<xs:documentation>The name of the place near to the hotel</xs:documentation>
																										</xs:annotation>
																										<xs:simpleType>
																											<xs:restriction base="xs:string">
																												<xs:maxLength value="100"/>
																											</xs:restriction>
																										</xs:simpleType>
																									</xs:element>
																									<xs:element name="distanceFromHotel" type="xs:decimal">
																										<xs:annotation>
																											<xs:documentation>The distance the distance between the hotel and the place (km)</xs:documentation>
																										</xs:annotation>
																									</xs:element>
																								</xs:sequence>
																							</xs:complexType>
																						</xs:element>
																					</xs:sequence>
																				</xs:complexType>
																			</xs:element>
																			<xs:element name="hotelFacilities" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>Information describing the hotel facilities</xs:documentation>
																				</xs:annotation>
																				<xs:complexType>
																					<xs:sequence>
																						<xs:element name="elevators" type="xs:boolean">
																							<xs:annotation>
																								<xs:documentation>Indicates if the hotel has elevator(s)</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																						<xs:element name="concierge" type="xs:boolean">
																							<xs:annotation>
																								<xs:documentation>Indicates if the hotel has a concierge</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																						<xs:element name="safeDeposit" type="xs:boolean">
																							<xs:annotation>
																								<xs:documentation>Indicates if the hotel has safe deposit box</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																						<xs:element name="swimmingPool" type="xs:boolean">
																							<xs:annotation>
																								<xs:documentation>Indicates if the hotel has a swimming pool</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																						<xs:element name="sauna" type="xs:boolean">
																							<xs:annotation>
																								<xs:documentation>Indicates if the hotel has a sauna</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																						<xs:element name="roomService" type="xs:boolean">
																							<xs:annotation>
																								<xs:documentation>Indicates if the hotel offers room service</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																						<xs:element name="porterage" type="xs:boolean">
																							<xs:annotation>
																								<xs:documentation>Indicates if the hotel offers porterage</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																						<xs:element name="numberOfRooms" type="xs:int">
																							<xs:annotation>
																								<xs:documentation>Indicates the number of rooms in the hotel</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																						<xs:element name="nightclub" type="xs:boolean">
																							<xs:annotation>
																								<xs:documentation>Indicates if the hotel has a nightclub</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																						<xs:element name="coffeeShop" type="xs:boolean">
																							<xs:annotation>
																								<xs:documentation>Indicates if the hotel has a coffee shop</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																						<xs:element name="businessFacilities" type="xs:boolean">
																							<xs:annotation>
																								<xs:documentation>Indicates if the hotel includes business facilities</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																						<xs:element name="petsAllowed" type="xs:boolean">
																							<xs:annotation>
																								<xs:documentation>Indicates if the hotel allows pets</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																					</xs:sequence>
																				</xs:complexType>
																			</xs:element>
																			<xs:element name="hotelRoomFacilities" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>Information describing the hotel room facilities</xs:documentation>
																				</xs:annotation>
																				<xs:complexType>
																					<xs:sequence>
																						<xs:element name="miniBar" type="xs:boolean">
																							<xs:annotation>
																								<xs:documentation>Indicates if the rooms have a minibar</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																						<xs:element name="hairDryer" type="xs:boolean">
																							<xs:annotation>
																								<xs:documentation>Indicates if the rooms have a hairdryer</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																						<xs:element name="trouserPress" type="xs:boolean">
																							<xs:annotation>
																								<xs:documentation>Indicates if the rooms have a trouser press</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																						<xs:element name="airConditioning" type="xs:boolean">
																							<xs:annotation>
																								<xs:documentation>Indicates if the rooms have air conditioning</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																						<xs:element name="television" type="xs:boolean">
																							<xs:annotation>
																								<xs:documentation>Indicates if the rooms have a television</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																						<xs:element name="video" type="xs:boolean">
																							<xs:annotation>
																								<xs:documentation>Indicates if the rooms have a video</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																						<xs:element name="radio" type="xs:boolean">
																							<xs:annotation>
																								<xs:documentation>Indicates if the rooms have a radio</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																					</xs:sequence>
																				</xs:complexType>
																			</xs:element>
																			<xs:element name="standardRooms" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>The standard room types available at the hotel</xs:documentation>
																				</xs:annotation>
																				<xs:complexType>
																					<xs:sequence maxOccurs="unbounded">
																						<xs:element name="standardRoom" type="subProductType">
																							<xs:annotation>
																								<xs:documentation>The standard room description</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																					</xs:sequence>
																				</xs:complexType>
																			</xs:element>
																			<xs:element name="specialRooms" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>The special rooms available at the hotel</xs:documentation>
																				</xs:annotation>
																				<xs:complexType>
																					<xs:sequence maxOccurs="unbounded">
																						<xs:element name="specialRoom" type="subProductType">
																							<xs:annotation>
																								<xs:documentation>The special room description</xs:documentation>
																							</xs:annotation>
																						</xs:element>
																					</xs:sequence>
																				</xs:complexType>
																			</xs:element>
																			<xs:element name="images" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>Images that can be referenced via HTTP</xs:documentation>
																				</xs:annotation>
																				<xs:complexType>
																					<xs:sequence maxOccurs="unbounded">
																						<xs:element name="image">
																							<xs:annotation>
																								<xs:documentation>Image references</xs:documentation>
																							</xs:annotation>
																							<xs:complexType>
																								<xs:attribute name="imageType" type="xs:string" use="required"/>
																								<xs:attribute name="imageCaption" type="xs:string" use="optional"/>
																								<xs:attribute name="imageURL" type="xs:string" use="required"/>
																								<xs:attribute name="imageThumbnailURL" type="xs:string" use="optional"/>
																							</xs:complexType>
																						</xs:element>
																					</xs:sequence>
																				</xs:complexType>
																			</xs:element>
																		</xs:sequence>
																	</xs:complexType>
																</xs:element>
															</xs:sequence>
														</xs:complexType>
													</xs:element>
													<xs:element name="mikiNetInfo">
														<xs:annotation>
															<xs:documentation>mikiNet icons</xs:documentation>
														</xs:annotation>
														<xs:complexType>
															<xs:sequence>
																<xs:element name="productDescription">
																	<xs:annotation>
																		<xs:documentation>The description of the product includes the product name and text which breifly describes the product</xs:documentation>
																	</xs:annotation>
																	<xs:complexType>
																		<xs:sequence>
																			<xs:element name="productName">
																				<xs:annotation>
																					<xs:documentation>The name of the product</xs:documentation>
																				</xs:annotation>
																				<xs:simpleType>
																					<xs:restriction base="xs:string">
																						<xs:maxLength value="50"/>
																					</xs:restriction>
																				</xs:simpleType>
																			</xs:element>
																			<xs:element name="productSummaryText" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>A brief description of the product</xs:documentation>
																				</xs:annotation>
																				<xs:simpleType>
																					<xs:restriction base="xs:string">
																						<xs:maxLength value="500"/>
																					</xs:restriction>
																				</xs:simpleType>
																			</xs:element>
																			<xs:element name="productDetailText" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>A text description of the product</xs:documentation>
																				</xs:annotation>
																				<xs:simpleType>
																					<xs:restriction base="xs:string">
																						<xs:maxLength value="500"/>
																					</xs:restriction>
																				</xs:simpleType>
																			</xs:element>
																			<xs:element name="productImage" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>Thumbnail image of the product</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="cityName" minOccurs="0">
																				<xs:annotation>
																					<xs:documentation>Name of the city where hotel is located</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																		</xs:sequence>
																	</xs:complexType>
																</xs:element>
																<xs:element name="category">
																	<xs:annotation>
																		<xs:documentation>The category that describes the quality of the hotel</xs:documentation>
																	</xs:annotation>
																	<xs:simpleType>
																		<xs:restriction base="xs:string">
																			<xs:maxLength value="50"/>
																		</xs:restriction>
																	</xs:simpleType>
																</xs:element>
																<xs:element name="starRating" minOccurs="0">
																	<xs:annotation>
																		<xs:documentation>The star rating of the hotel</xs:documentation>
																	</xs:annotation>
																	<xs:simpleType>
																		<xs:restriction base="xs:string">
																			<xs:maxLength value="10"/>
																		</xs:restriction>
																	</xs:simpleType>
																</xs:element>
																<xs:element name="location" minOccurs="0">
																	<xs:annotation>
																		<xs:documentation>The general location of the hotel in the city</xs:documentation>
																	</xs:annotation>
																	<xs:simpleType>
																		<xs:restriction base="xs:string">
																			<xs:maxLength value="50"/>
																		</xs:restriction>
																	</xs:simpleType>
																</xs:element>
																<xs:element name="hotelFacilities" minOccurs="0">
																	<xs:annotation>
																		<xs:documentation>Information describing the hotel facilities</xs:documentation>
																	</xs:annotation>
																	<xs:complexType>
																		<xs:sequence>
																			<xs:element name="nonSmokingRooms"/>
																			<xs:element name="indoorPool"/>
																			<xs:element name="outdoorPool"/>
																			<xs:element name="sauna"/>
																			<xs:element name="parking"/>
																			<xs:element name="familyRoom"/>
																			<xs:element name="shops"/>
																			<xs:element name="coffeeShop"/>
																			<xs:element name="luggageRoom"/>
																			<xs:element name="gym"/>
																			<xs:element name="jacuzzi"/>
																		</xs:sequence>
																	</xs:complexType>
																</xs:element>
																<xs:element name="hotelRoomFacilities" minOccurs="0">
																	<xs:annotation>
																		<xs:documentation>Information describing the hotel room facilities</xs:documentation>
																	</xs:annotation>
																	<xs:complexType>
																		<xs:sequence>
																			<xs:element name="bathShower">
																				<xs:annotation>
																					<xs:documentation>0 - No bath or shower
1 - bath
2 - shower
3 - bath and shower
</xs:documentation>
																				</xs:annotation>
																			</xs:element>
																			<xs:element name="miniBar"/>
																			<xs:element name="hairdryer"/>
																			<xs:element name="modem"/>
																			<xs:element name="safe"/>
																			<xs:element name="spyHole"/>
																			<xs:element name="doorChain"/>
																			<xs:element name="airCon"/>
																			<xs:element name="ironingSet"/>
																			<xs:element name="trouserPress"/>
																		</xs:sequence>
																	</xs:complexType>
																</xs:element>
																<xs:element name="mapLocation" minOccurs="0">
																	<xs:annotation>
																		<xs:documentation>Location details for map plotting</xs:documentation>
																	</xs:annotation>
																	<xs:complexType>
																		<xs:sequence>
																			<xs:element name="latitude"/>
																			<xs:element name="longitude"/>
																		</xs:sequence>
																	</xs:complexType>
																</xs:element>
															</xs:sequence>
														</xs:complexType>
													</xs:element>
												</xs:choice>
											</xs:complexType>
										</xs:element>
									</xs:sequence>
								</xs:complexType>
							</xs:element>
						</xs:sequence>
					</xs:complexType>
				</xs:element>
				<xs:element ref="errors" minOccurs="0"/>
			</xs:sequence>
			<xs:attribute name="responseType" type="xs:string" use="required" fixed="citySearchResponse">
				<xs:annotation>
					<xs:documentation>Used to ID the record to the receiving software</xs:documentation>
				</xs:annotation>
			</xs:attribute>
			<xs:attribute name="versionNumber" type="xs:string" use="optional" fixed="5.0.0"/>
		</xs:complexType>
	</xs:element>
	<xs:element name="responseAuditInfo">
		<xs:annotation>
			<xs:documentation>Standard audit information sent with all responses</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element name="agentCode" type="xs:string">
					<xs:annotation>
						<xs:documentation>Unique reference used to identify the client to Miki</xs:documentation>
					</xs:annotation>
				</xs:element>
				<xs:element name="responseID" type="xs:integer">
					<xs:annotation>
						<xs:documentation>Miki reference used for audit purposes</xs:documentation>
					</xs:annotation>
				</xs:element>
				<xs:element name="responseTime" type="xs:dateTime">
					<xs:annotation>
						<xs:documentation>The time that the XML message was sent from Miki's server</xs:documentation>
					</xs:annotation>
				</xs:element>
				<xs:element name="requestID" type="xs:integer">
					<xs:annotation>
						<xs:documentation>The client's request ID that triggered this response</xs:documentation>
					</xs:annotation>
				</xs:element>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
	<xs:element name="errors">
		<xs:annotation>
			<xs:documentation>Standard error section</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence maxOccurs="unbounded">
				<xs:annotation>
					<xs:documentation>Multiple errors may be returned</xs:documentation>
				</xs:annotation>
				<xs:element name="error">
					<xs:annotation>
						<xs:documentation>Error content</xs:documentation>
					</xs:annotation>
					<xs:complexType>
						<xs:sequence>
							<xs:element name="errorCode">
								<xs:annotation>
									<xs:documentation>Miki error code</xs:documentation>
								</xs:annotation>
								<xs:simpleType>
									<xs:restriction base="xs:integer"/>
								</xs:simpleType>
							</xs:element>
							<xs:element name="errorText">
								<xs:annotation>
									<xs:documentation>Full description of error</xs:documentation>
								</xs:annotation>
								<xs:simpleType>
									<xs:restriction base="xs:string"/>
								</xs:simpleType>
							</xs:element>
							<xs:element name="errorSolution">
								<xs:annotation>
									<xs:documentation>Proposed solution to error</xs:documentation>
								</xs:annotation>
								<xs:simpleType>
									<xs:restriction base="xs:string"/>
								</xs:simpleType>
							</xs:element>
						</xs:sequence>
					</xs:complexType>
				</xs:element>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
</xs:schema>
